image: maven:3

variables:
  # See https://gitlab.com/gitlab-org/gitlab-ci-yml/blob/master/Maven.gitlab-ci.yml
  MAVEN_OPTS: "-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository"

cache:
  paths:
    - .m2/repository

stages:
  - build
  - deploy

build:
  stage: build
  script:
    - java -version
    - mvn -v
    - mvn -B clean
    - mvn -B package -s settings.xml
  artifacts:
    paths:
      - target/cubereport-*.jar

deploy:
  stage: deploy
  script:
    - java -version
    - mvn -v
    - mvn -B clean
    - mvn -B deploy -s settings.xml
  only:
    - master
